class PageNextEventHandler extends SDEventHandler {

  handleStreamDeckEvent = (message) => {
    if (message.event === "pagenext") {
      this._pagenextCall();
    }
  }

  _pagenextCall = () => {
    const button = document.querySelector('[jscontroller="pageNextButton"]');
    if (!button) {
      throw new ControlsNotFoundError("No Page Next button found!")
    }
    button.click();
  }

}